'********************************
' Peek-A-Boo Ghost code for the *
' PICAXE-08M Servo Driver Kit   *
' **********************************************************
' Created Jul 07, 2014 by Kevin Goodwin
' Updated Jul 25, 2014 by Vern Graner

'*** Program Constants
' Delay to slow down servo motion (30ms default)
	symbol servo_delay = 5
	symbol servo_min = 120
	symbol servo_max = 180 
	symbol reset_PIR = 5000 '5k miliseconds is 5 seconds

' Initialization
init:

'set servos to known position
	servo c.1,servo_min
	servo c.2,servo_max
	low 0
	low 4
	pause servo_delay
	

main:
'waiting for PIR motion sensor
	if pinc.3 = 0 then wave_arms
	goto main


' 
wave_arms:
high 0 'turn on LED eyes.

high 4 '\ Pulse voice card
low 4  '/ to trigger it


for b2 = 1 to 5   ' Wave Arms back/forth
	let b3 = 180
	for b1 = 120 to 180 ' Move arms outward
		servopos c.1,b1
		let b3=b3-1
		servopos c.2,b3
		pause servo_delay	
	next b1
	
	for b1 = 180 to 120 step -1 'Move arms inward
		servopos c.1,b1
		let b3=b3+1
		servopos c.2,b3
		pause servo_delay	
	
	next b1
next b2

low 0 'turn off LED eyes

pause reset_PIR ' wait a bit for people to leave
		
goto main
		
		
		
		